Upgrade Kernel from 5.14 to 6.8.3

Hi Everyone,

I’ve upgraded Rocky Linux 9.3 kernel from 5.14 to 6.8.3.

After doing this I can no longer start/boot up a couple of VM’s on VBox, it prints the messages:

"Kernel driver not installed (rc=-1908)

The VirtualBox Linux kernel driver is either not loaded or not set up correctly. Please try setting it up again by executing

‘/sbin/vboxconfig’

as root.

If your system has EFI Secure Boot enabled you may also need to sign the kernel modules (vboxdrv, vboxnetflt, vboxnetadp, vboxpci) before you can load them. Please see your Linux system’s documentation for more information.

where: suplibOsInit what: 3 VERR_VM_DRIVER_NOT_INSTALLED (-1908) - The support driver is not installed. On linux, open returned ENOENT."

" VM Name: Win10_64bits_EMEL

The virtual machine ‘Win10_64bits_EMEL’ has terminated unexpectedly during startup with exit code 1 (0x1).

Result Code: NS_ERROR_FAILURE (0X80004005)
Component: MachineWrap
Interface: IMachine {300763af-5d6b-46e6-aa96-273eac15538a}

I ran the command /sbin/vboxconfig and get the message:

"vboxdrv.sh: Stopping VirtualBox services.
vboxdrv.sh: Starting VirtualBox services.
vboxdrv.sh: Building VirtualBox kernel modules.
This system is currently not set up to build kernel modules.
Please install the gcc make perl packages from your distribution.
Please install the Linux kernel “header” files matching the current kernel
for adding new hardware support to the system.
The distribution packages containing the headers are probably:
kernel-devel kernel-devel-6.8.3-1.el9.elrepo.x86_64
This system is currently not set up to build kernel modules.
Please install the gcc make perl packages from your distribution.
Please install the Linux kernel “header” files matching the current kernel
for adding new hardware support to the system.
The distribution packages containing the headers are probably:
kernel-devel kernel-devel-6.8.3-1.el9.elrepo.x86_64

There were problems setting up VirtualBox. To re-start the set-up process, run
/sbin/vboxconfig
as root. If your system is using EFI Secure Boot you may need to sign the
kernel modules (vboxdrv, vboxnetflt, vboxnetadp, vboxpci) before you can load
them. Please see your Linux system’s documentation for more information.
"

It seems that there are some kernel 6.8.3 modules missing.

I ran the command: sudo dnf --disablerepo=“*” --enablerepo=“elrepo-kernel” list available

For the kernel 6.8.3 it seems that I have 2 more packages/modules to install:

"kernel-lt.x86_64 6.1.84-1.el9.elrepo elrepo-kernel
kernel-lt-core.x86_64 6.1.84-1.el9.elrepo elrepo-kernel
kernel-lt-devel.x86_64 6.1.84-1.el9.elrepo elrepo-kernel
kernel-lt-devel-matched.x86_64 6.1.84-1.el9.elrepo elrepo-kernel
kernel-lt-doc.noarch 6.1.84-1.el9.elrepo elrepo-kernel
kernel-lt-headers.x86_64 6.1.84-1.el9.elrepo elrepo-kernel
kernel-lt-modules.x86_64 6.1.84-1.el9.elrepo elrepo-kernel
kernel-lt-modules-extra.x86_64 6.1.84-1.el9.elrepo elrepo-kernel
kernel-lt-tools.x86_64 6.1.84-1.el9.elrepo elrepo-kernel
kernel-lt-tools-libs.x86_64 6.1.84-1.el9.elrepo elrepo-kernel
kernel-lt-tools-libs-devel.x86_64 6.1.84-1.el9.elrepo elrepo-kernel
kernel-ml-devel.x86_64 6.8.3-1.el9.elrepo elrepo-kernel
kernel-ml-devel-matched.x86_64 6.8.3-1.el9.elrepo elrepo-kernel
perf.x86_64 6.8.3-1.el9.elrepo elrepo-kernel
python3-perf.x86_64 "

I’ve been trying to install the modules kernel-ml-devel.x86_64 and kernel-ml-devel-matched.x86_64 but keep getting the files conflict messages:

o ficheiro /usr/include/scsi/scsi_bsg_fc.h da instalação do kernel-headers-5.14.0-362.24.1.el9_3.x86_64 está em conflito com o ficheiro do pacote kernel-ml-headers-6.8.3-1.el9.elrepo.x86_64
o ficheiro /usr/include/scsi/scsi_bsg_mpi3mr.h da instalação do kernel-headers-5.14.0-362.24.1.el9_3.x86_64 está em conflito com o ficheiro do pacote kernel-ml-headers-6.8.3-1.el9.elrepo.x86_64
o ficheiro /usr/include/scsi/scsi_bsg_ufs.h da instalação do kernel-headers-5.14.0-362.24.1.el9_3.x86_64 está em conflito com o ficheiro do pacote kernel-ml-headers-6.8.3-1.el9.elrepo.x86_64
o ficheiro /usr/include/sound/asequencer.h da instalação do kernel-headers-5.14.0-362.24.1.el9_3.x86_64 está em conflito com o ficheiro do pacote kernel-ml-headers-6.8.3-1.el9.elrepo.x86_64
o ficheiro /usr/include/sound/asound.h da instalação do kernel-headers-5.14.0-362.24.1.el9_3.x86_64 está em conflito com o ficheiro do pacote kernel-ml-headers-6.8.3-1.el9.elrepo.x86_64
o ficheiro /usr/include/sound/emu10k1.h da instalação do kernel-headers-5.14.0-362.24.1.el9_3.x86_64 está em conflito com o ficheiro do pacote kernel-ml-headers-6.8.3-1.el9.elrepo.x86_64
o ficheiro /usr/include/sound/sof/tokens.h da instalação do kernel-headers-5.14.0-362.24.1.el9_3.x86_64 está em conflito com o ficheiro do pacote kernel-ml-headers-6.8.3-1.el9.elrepo.x86_64
o ficheiro /usr/include/xen/evtchn.h da instalação do kernel-headers-5.14.0-362.24.1.el9_3.x86_64 está em conflito com o ficheiro do pacote kernel-ml-headers-6.8.3-1.el9.elrepo.x86_64
o ficheiro /usr/include/xen/gntalloc.h da instalação do kernel-headers-5.14.0-362.24.1.el9_3.x86_64 está em conflito com o ficheiro do pacote kernel-ml-headers-6.8.3-1.el9.elrepo.x86_64
o ficheiro /usr/include/xen/gntdev.h da instalação do kernel-headers-5.14.0-362.24.1.el9_3.x86_64 está em conflito com o ficheiro do pacote kernel-ml-headers-6.8.3-1.el9.elrepo.x86_64
o ficheiro /usr/include/xen/privcmd.h da instalação do kernel-headers-5.14.0-362.24.1.el9_3.x86_64 está em conflito com o ficheiro do pacote kernel-ml-headers-6.8.3-1.el9.elrepo.x86_64

Right now it seems like almost a miracle that everything else is working.

What am I missing?

How can I resolve these conflicts/dependencies and make sure that I can install all kernel 6.8.3 modules and have the VM’s running again?

Thank you very much,

Cheers,

You do not need/want to install kernel-ml-headers. Please see the “Tip” section of:

https://elrepo.org/wiki/doku.php?id=kernel-ml

Hi toracat,

Thank you very much for your reply.

It’s sorted now.

For future reference what I did was, I removed the kernel 6.8.3 headers with the command:

$ sudo dnf --enablerepo=elrepo-kernel remove kernel-ml-headers

Then installed the kernel devel module with the command:

$ sudo dnf --enablerepo=elrepo-kernel install kernel-ml-devel

And then I ran the command to reconfigure VBox:

$ sudo /sbin/vboxconfig

It’s sorted.

Thank you very much,

Cheers